MrSID Decode SDK for LiDAR Reference Manual 1.1.4.4709

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
PointInfo Class Reference

PointInfo is a group of ChannelInfo objects. More...

`#include <PointData.h>`

Collaboration diagram for PointInfo:
[legend]

## Public Member Functions
| ~PointInfo (void)
| PointInfo (void)
void | init (size_t numChannels)
void | init (const PointInfo &pointInfo)
void | init (const PointData &pointData)
void | init (const PointInfo &pointInfo, const char *const *channels, size_t numChannels)
void | init (const PointData &pointData, const char *const *channels, size_t numChannels)
void | init (const PointInfo &pointInfo, const size_t *channels, size_t numChannels)
void | init (const PointData &pointData, const size_t *channels, size_t numChannels)
size_t | getNumChannels (void) const
| Get the number of channels. More...
const ChannelInfo & | getChannel (size_t idx) const
| Access the channel info. More...
ChannelInfo & | getChannel (size_t idx)
| Access the channel info. More...
bool | hasChannel (const char *name) const
| Determine if there is a channel with a given name. More...
const ChannelInfo * | getChannel (const char *name) const
| Access the channel data. More...
ChannelInfo * | getChannel (const char *name)
| Access the channel data. More...
size_t | getChannelIndex (const char *name) const
| Get the index for a given channel. More...
bool | hasValidXYZ (void) const
| Make sure the PointInfo has X, Y, and Z channels. More...
bool | operator== (const PointInfo &rhs) const
bool | operator!= (const PointInfo &rhs) const

## Protected Attributes
size_t | m_numChannels
ChannelInfo * | m_channel

## Detailed Description

PointInfo is a group of ChannelInfo objects for specifying channels.

See Also
  See examples/src/UserTutorial.cpp for examples on setting up and using PointInfo.

Definition at line 185 of file PointData.h.

## Constructor & Destructor Documentation

PointInfo::~PointInfo | ( | void | ) |  |

PointInfo::PointInfo | ( | void | ) |  |

## Member Function Documentation

const ChannelInfo& PointInfo::getChannel | ( | size_t | idx) |  | const

This method returns the ChannelInfo for a given index.

Parameters

  idx | the index of the wanted channel

Returns
  the channel info for the given channel

ChannelInfo& PointInfo::getChannel | ( | size_t | idx) |  |

This method returns the ChannelInfo for a given index.

Parameters

  idx | the index of the wanted channel

Returns
  the channel info for the given channel

const ChannelInfo* PointInfo::getChannel | ( | const char * | name) |  | const

This method returns the ChannelInfo for a given name.

Parameters

  name | the name of the wanted channel

Returns
  the channel data for the given channel

ChannelInfo* PointInfo::getChannel | ( | const char * | name) |  |

This method returns the ChannelInfo for a given name.

Parameters

  name | the name of the wanted channel

Returns
  the channel data for the given channel

size_t PointInfo::getChannelIndex | ( | const char * | name) |  | const

This method returns index of the given channel name.

Parameters

  name | the name of the wanted channel

Returns
  the index for the given channel

size_t PointInfo::getNumChannels | ( | void | ) |  | const

This method returns the number of channels.

bool PointInfo::hasChannel | ( | const char * | name) |  | const

The method determines if this object has a channel with the given name.

Parameters

  name | the channel name

Returns
  true if the channel was found

bool PointInfo::hasValidXYZ | ( | void | ) |  | const

This function checks the PointInfo object for X, Y, and Z channels and that their data type is DATATYPE_FLOAT64

void PointInfo::init | ( | size_t | numChannels) |  |

void PointInfo::init | ( | const PointInfo & | pointInfo) |  |

void PointInfo::init | ( | const PointData & | pointData) |  |

void PointInfo::init | ( | const PointInfo & | pointInfo,
|  | const char *const * | channels,
|  | size_t | numChannels
| ) |  |

void PointInfo::init | ( | const PointData & | pointData,
|  | const char *const * | channels,
|  | size_t | numChannels
| ) |  |

void PointInfo::init | ( | const PointInfo & | pointInfo,
|  | const size_t * | channels,
|  | size_t | numChannels
| ) |  |

void PointInfo::init | ( | const PointData & | pointData,
|  | const size_t * | channels,
|  | size_t | numChannels
| ) |  |

bool PointInfo::operator!= | ( | const PointInfo & | rhs) |  | const
| inline

Definition at line 280 of file PointData.h.

References operator==().

bool PointInfo::operator== | ( | const PointInfo & | rhs) |  | const

Referenced by operator!=().

## Member Data Documentation

ChannelInfo* PointInfo::m_channel
| protected

Definition at line 284 of file PointData.h.

size_t PointInfo::m_numChannels
| protected

Definition at line 283 of file PointData.h.

The documentation for this class was generated from the following file:

- PointData.h

LizardTech